# Interface SearchDirectiveListeners<T>

interface SearchDirectiveListeners<T> {
autocomplete: ((arg0, arg1, arg2) => void);
change: ((arg0, arg1) => void);
close: (() => void);
cursorchange: ((arg0, arg1, arg2) => void);
datasetsempty: ((arg0, arg1, arg2) => void);
open: (() => void);
select: ((arg0, arg1, arg2) => void);
}

#### Type Parameters

- T

- Defined in src/search/searchDirective.js:25

#####
Index

### Properties

autocomplete
change
close
cursorchange
datasetsempty
open
select

## Properties

### autocomplete

autocomplete: ((arg0, arg1, arg2) => void)

#### Type declaration

- - (arg0, arg1, arg2): void

  - #### Parameters

    - arg0: Event
    - arg1: T
    - arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:30

### change

change: ((arg0, arg1) => void)

#### Type declaration

- - (arg0, arg1): void

  - #### Parameters

    - arg0: Event
    - arg1: string

    #### Returns void

- Defined in src/search/searchDirective.js:32

### close

close: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/search/searchDirective.js:27

### cursorchange

cursorchange: ((arg0, arg1, arg2) => void)

#### Type declaration

- - (arg0, arg1, arg2): void

  - #### Parameters

    - arg0: Event
    - arg1: T
    - arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:28

### datasetsempty

datasetsempty: ((arg0, arg1, arg2) => void)

#### Type declaration

- - (arg0, arg1, arg2): void

  - #### Parameters

    - arg0: Event
    - arg1: string
    - arg2: boolean

    #### Returns void

- Defined in src/search/searchDirective.js:31

### open

open: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/search/searchDirective.js:26

### select

select: ((arg0, arg1, arg2) => void)

#### Type declaration

- - (arg0, arg1, arg2): void

  - #### Parameters

    - arg0: Event
    - arg1: T
    - arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:29